Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## writer2latex.latex
Class IndexConverter

    java.lang.Object
      writer2latex.latex.ConverterHelper
          writer2latex.latex.IndexConverter

    public class IndexConverter

extends ConverterHelper

This class handles indexes (table of contents, list of tables, list of illustrations, object index, user index, alphabetical index, bibliography) as well as their associated index marks.

Field Summary
`private boolean` | `bContainsAlphabeticalIndex`
`private BibTeXDocument` | `bibDoc`
`private java.util.Vector` | `postponedIndexMarks`

Fields inherited from class writer2latex.latex.ConverterHelper
`config, ofr, palette`

Constructor Summary
`IndexConverter(OfficeReader ofr, Config config, ConverterPalette palette)` Construct a new `IndexConverter`.

Method Summary
`void` | `appendDeclarations(LaTeXDocumentPortion pack, LaTeXDocumentPortion decl)` Append declarations needed by the `IndexConverter` to the preamble.
`void` | `flushIndexMarks(LaTeXDocumentPortion ldp, Context oc)`
`BibTeXDocument` | `getBibTeXDocument()` Get the BibTeX document, if any (the document is only created if it's specified in the configuration *and* the document contains bibliographic data).
`void` | `handleAlphabeticalIndex(org.w3c.dom.Element node, LaTeXDocumentPortion ldp, Context oc)` Process Alphabetical Index (text:alphabetical-index tag)
`void` | `handleAlphabeticalIndexMark(org.w3c.dom.Element node, LaTeXDocumentPortion ldp, Context oc)` Process an Alphabetical Index Mark (text:alphabetical-index-mark{-start} tag)
`void` | `handleBibliography(org.w3c.dom.Element node, LaTeXDocumentPortion ldp, Context oc)` Process Bibliography (text:bibliography tag)
`void` | `handleBibliographyMark(org.w3c.dom.Element node, LaTeXDocumentPortion ldp, Context oc)` Process a Bibliography Mark (text:bibliography-mark tag)
`void` | `handleLOF(org.w3c.dom.Element node, LaTeXDocumentPortion ldp, Context oc)` Process List of Illustrations (text:list-of-illustrations tag)
`void` | `handleLOT(org.w3c.dom.Element node, LaTeXDocumentPortion ldp, Context oc)` Process List of Tables (text:list-of-tables tag)
`void` | `handleObjectIndex(org.w3c.dom.Element node, LaTeXDocumentPortion ldp, Context oc)` Process Object Index (text:object index tag)
`void` | `handleTOC(org.w3c.dom.Element node, LaTeXDocumentPortion ldp, Context oc)` Process Table of Contents (text:table-of-content tag)
`void` | `handleUserIndex(org.w3c.dom.Element node, LaTeXDocumentPortion ldp, Context oc)` Process User Index (text:user-index tag)
`private void` | `writeIndexText(java.lang.String sText, LaTeXDocumentPortion ldp, Context oc)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### bibDoc

    private BibTeXDocument bibDoc

### bContainsAlphabeticalIndex

    private boolean bContainsAlphabeticalIndex

### postponedIndexMarks

    private java.util.Vector postponedIndexMarks

Constructor Detail

### IndexConverter

    public IndexConverter(OfficeReader ofr,
                          Config config,
                          ConverterPalette palette)

  Construct a new `IndexConverter`.

  Parameters:
    ``config`` - the configuration to use
    ``palette`` - the `ConverterPalette` to link to if such a document is created by the `IndexConverter`

Method Detail

### appendDeclarations

    public void appendDeclarations(LaTeXDocumentPortion pack,
                                   LaTeXDocumentPortion decl)

  Append declarations needed by the `IndexConverter` to the preamble.

  Overrides:
    `appendDeclarations` in class `ConverterHelper`
  Parameters:
    ``pack`` - the `LaTeXDocumentPortion` to which declarations of packages should be added (`\\usepackage`).
    ``decl`` - the `LaTeXDocumentPortion` to which other declarations should be added.

### handleTOC

    public void handleTOC(org.w3c.dom.Element node,
                          LaTeXDocumentPortion ldp,
                          Context oc)

  Process Table of Contents (text:table-of-content tag)

  Parameters:
    ``node`` - The element containing the Table of Contents
    ``ldp`` - the `LaTeXDocumentPortion` to which LaTeX code should be added
    ``oc`` - the current context

### handleLOF

    public void handleLOF(org.w3c.dom.Element node,
                          LaTeXDocumentPortion ldp,
                          Context oc)

  Process List of Illustrations (text:list-of-illustrations tag)

  Parameters:
    ``node`` - The element containing the List of Illustrations
    ``ldp`` - the `LaTeXDocumentPortion` to which LaTeX code should be added
    ``oc`` - the current context

### handleLOT

    public void handleLOT(org.w3c.dom.Element node,
                          LaTeXDocumentPortion ldp,
                          Context oc)

  Process List of Tables (text:list-of-tables tag)

  Parameters:
    ``node`` - The element containing the List of Tables
    ``ldp`` - the `LaTeXDocumentPortion` to which LaTeX code should be added
    ``oc`` - the current context

### handleObjectIndex

    public void handleObjectIndex(org.w3c.dom.Element node,
                                  LaTeXDocumentPortion ldp,
                                  Context oc)

  Process Object Index (text:object index tag)

  Parameters:
    ``node`` - The element containing the Object Index
    ``ldp`` - the `LaTeXDocumentPortion` to which LaTeX code should be added
    ``oc`` - the current context

### handleUserIndex

    public void handleUserIndex(org.w3c.dom.Element node,
                                LaTeXDocumentPortion ldp,
                                Context oc)

  Process User Index (text:user-index tag)

  Parameters:
    ``node`` - The element containing the User Index
    ``ldp`` - the `LaTeXDocumentPortion` to which LaTeX code should be added
    ``oc`` - the current context

### handleBibliography

    public void handleBibliography(org.w3c.dom.Element node,
                                   LaTeXDocumentPortion ldp,
                                   Context oc)

  Process Bibliography (text:bibliography tag)

  Parameters:
    ``node`` - The element containing the Bibliography
    ``ldp`` - the `LaTeXDocumentPortion` to which LaTeX code should be added
    ``oc`` - the current context

### handleBibliographyMark

    public void handleBibliographyMark(org.w3c.dom.Element node,
                                       LaTeXDocumentPortion ldp,
                                       Context oc)

  Process a Bibliography Mark (text:bibliography-mark tag)

  Parameters:
    ``node`` - The element containing the Mark
    ``ldp`` - the `LaTeXDocumentPortion` to which LaTeX code should be added
    ``oc`` - the current context

### getBibTeXDocument

    public BibTeXDocument getBibTeXDocument()

  Get the BibTeX document, if any (the document is only created if it's specified in the configuration *and* the document contains bibliographic data).

  Returns:
    the `BiBTeXDocument`, or null if it does not exist.

### handleAlphabeticalIndex

    public void handleAlphabeticalIndex(org.w3c.dom.Element node,
                                        LaTeXDocumentPortion ldp,
                                        Context oc)

  Process Alphabetical Index (text:alphabetical-index tag)

  Parameters:
    ``node`` - The element containing the Alphabetical Index
    ``ldp`` - the `LaTeXDocumentPortion` to which LaTeX code should be added
    ``oc`` - the current context

### handleAlphabeticalIndexMark

    public void handleAlphabeticalIndexMark(org.w3c.dom.Element node,
                                            LaTeXDocumentPortion ldp,
                                            Context oc)

  Process an Alphabetical Index Mark (text:alphabetical-index-mark{-start} tag)

  Parameters:
    ``node`` - The element containing the Mark
    ``ldp`` - the `LaTeXDocumentPortion` to which LaTeX code should be added
    ``oc`` - the current context

### flushIndexMarks

    public void flushIndexMarks(LaTeXDocumentPortion ldp,
                                Context oc)

### writeIndexText

    private void writeIndexText(java.lang.String sText,
                                LaTeXDocumentPortion ldp,
                                Context oc)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD